package net.northking.cctp.se.device.service;


import net.northking.cctp.se.device.bean.DeviceInfo;


/**
 * 设备连接管理服务
 */
public interface DeviceConnectionService {

    /**
     * 根据设备token从服务端获取设备信息
     * @param deviceToken
     * @return
     */
    DeviceInfo loadDeviceInfo(String deviceToken);
    /**
     * 创建设备连接
     * @param deviceToken
     * @return
     */
    DeviceConnection createDeviceConnection(String deviceToken) throws Exception;
    /**
     * 销毁设备连接
     * @param deviceId
     */
    void closeDeviceConnection(String deviceId);

}
